2019-10-19 13:17 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003170FSSCPgraphicspublic2016-03-23 19:12
Reporterzookeeper 
Assigned Tozookeeper 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.3 
Target Version3.8Fixed in Version3.7.5 
Summary0003170: $Thruster Glow Noise Mult broken
DescriptionIt works in ship lab, but not in-mission; the multiplier doesn't get applied and the default amount of thruster noise is used. I tried checking and unchecking all sorts of launcher flags related to the new renderer, but none seemed to affect it. I tried fixing the following bit in ship.cpp ship_set_thruster_info(), but for some reason that didn't seem to affect it:

-mst->glow_noise = shipp->thruster_glow_noise;
+mst->glow_noise = shipp->thruster_glow_noise * sip->thruster_glow_noise_mult;

I'm guessing that either of these lines in modelinterp.cpp would need to take the multiplier into account:

Interp_thrust_glow_noise = mst->glow_noise;
...or...
float w = gpt->radius * (scale + Interp_thrust_glow_noise * NOISE_SCALE);

Assigned to Swifty because it seems very likely this is due to the new rendering code.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016763

MageKing17 (developer)

modelinterp.cpp isn't used anymore in the new rendering engine; the equivalent line in modelrender.cpp is 2358.

~0016821

MageKing17 (developer)

A fix for this has now been merged.

PR: https://github.com/scp-fs2open/fs2open.github.com/pull/566

Commit: https://github.com/scp-fs2open/fs2open.github.com/commit/f8cb347a62fc71f385ce9f2b06c48b5ad82ea68b
+Notes

-Issue History
Date Modified Username Field Change
2015-07-22 13:44 zookeeper New Issue
2015-07-22 13:44 zookeeper Status new => assigned
2015-07-22 13:44 zookeeper Assigned To => Swifty
2015-07-22 15:37 MageKing17 Note Added: 0016763
2016-03-23 19:12 MageKing17 Note Added: 0016821
2016-03-23 19:12 MageKing17 Assigned To Swifty => zookeeper
2016-03-23 19:12 MageKing17 Status assigned => resolved
2016-03-23 19:12 MageKing17 Resolution open => fixed
2016-03-23 19:12 MageKing17 Product Version 3.7.5 => 3.7.3
2016-03-23 19:12 MageKing17 Fixed in Version => 3.7.5
2016-03-23 19:12 MageKing17 Target Version 3.7.5 => 3.8
+Issue History